import dynamix_sdk.base as _base


class CloudbrokerStoragePolicyDisableResultBool(_base.BaseAPIResultBool):
    pass


class CloudbrokerStoragePolicyDisableProtocol(
    _base.BasePostAPIFunctionProtocol,
):
    def disable(
        self,
        *,
        storage_policy_id: int,
    ) -> CloudbrokerStoragePolicyDisableResultBool:
        ...
